Create currency
Accepts multipart form data with a currency payload and an icon file.
Body
iconstring · binaryOptional
Responses
201
Created
application/json
Represents currency in exchange module.
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
The unique identifier of the currency.
namestringOptional
The name of the currency.
codestringOptional
The ISO code of currency
precisioninteger · int32Optional
Precision of the currency
statusstring · enumOptionalPossible values:
Currency status enumeration
403
Forbidden
application/json
404
Not Found
application/json
500
Internal Server Error
post/public/v1/exchange/currencies
POST /public/v1/exchange/currencies HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 525
{
"currency": {
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"icon": "text",
"revision": 1,
"id": "text",
"name": "text",
"code": "text",
"precision": 1,
"statistics": {
"sellerCount": 1,
"pairCount": 1
},
"status": "Active"
},
"icon": "binary"
}{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"icon": "text",
"revision": 1,
"id": "text",
"name": "text",
"code": "text",
"precision": 1,
"statistics": {
"sellerCount": 1,
"pairCount": 1
},
"status": "Active"
}Last updated
Was this helpful?